#include "yspace.hh"

class YIQ : public yspace
{
public:
    virtual double Y_r()  const { return 0.29900; }
    virtual double Y_g()  const { return 0.58700; }
    virtual double Y_b()  const { return 0.11400; }
    virtual double p1_r() const { return 0.59600; }
    virtual double p1_g() const { return -0.27400; }
    virtual double p1_b() const { return -0.32200; }
    virtual double p2_r() const { return 0.21100; }
    virtual double p2_g() const { return -0.52300; }
    virtual double p2_b() const { return 0.31200; }
    
    virtual double r_Y()  const { return 1; }
    virtual double r_p1() const { return 0.95620; }
    virtual double r_p2() const { return -0.62140; }
    virtual double g_Y()  const { return 1; }
    virtual double g_p1() const { return -0.27270; }
    virtual double g_p2() const { return -0.64680; }
    virtual double b_Y()  const { return 1; }
    virtual double b_p1() const { return -1.10370; }
    virtual double b_p2() const { return 1.70060; }

    virtual const char *Name1() const { return "Y"; }
    virtual const char *Name2() const { return "I"; }
    virtual const char *Name3() const { return "Q"; }
};
